package com.community.huiju.model;

import java.util.Date;

public class MqMessage {
    private Integer id;

    private Integer eventState;

    private Integer eventLevel;

    private String unitIdx;

    private Integer eventType;

    private String eventTypeName;

    private Integer subSysType;

    private String eventName;

    private Date startTime;

    private Date stopTime;

    private String sourceIdx;

    private Integer sourceType;

    private String sourceName;

    private String regionIdx;

    private Integer eventCode;

    private Integer deviceId;

    private Integer deviceType;

    private String deviceName;

    private String eventCard;

    private Integer personId;

    private String personName;

    private Integer deptId;

    private String deptName;

    private String deptCode;

    private Integer inOut;

    private Integer cardStatus;

    private String picUrl;

    private String extTxt;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getEventState() {
        return eventState;
    }

    public void setEventState(Integer eventState) {
        this.eventState = eventState;
    }

    public Integer getEventLevel() {
        return eventLevel;
    }

    public void setEventLevel(Integer eventLevel) {
        this.eventLevel = eventLevel;
    }

    public String getUnitIdx() {
        return unitIdx;
    }

    public void setUnitIdx(String unitIdx) {
        this.unitIdx = unitIdx == null ? null : unitIdx.trim();
    }

    public Integer getEventType() {
        return eventType;
    }

    public void setEventType(Integer eventType) {
        this.eventType = eventType;
    }

    public String getEventTypeName() {
        return eventTypeName;
    }

    public void setEventTypeName(String eventTypeName) {
        this.eventTypeName = eventTypeName == null ? null : eventTypeName.trim();
    }

    public Integer getSubSysType() {
        return subSysType;
    }

    public void setSubSysType(Integer subSysType) {
        this.subSysType = subSysType;
    }

    public String getEventName() {
        return eventName;
    }

    public void setEventName(String eventName) {
        this.eventName = eventName == null ? null : eventName.trim();
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getStopTime() {
        return stopTime;
    }

    public void setStopTime(Date stopTime) {
        this.stopTime = stopTime;
    }

    public String getSourceIdx() {
        return sourceIdx;
    }

    public void setSourceIdx(String sourceIdx) {
        this.sourceIdx = sourceIdx == null ? null : sourceIdx.trim();
    }

    public Integer getSourceType() {
        return sourceType;
    }

    public void setSourceType(Integer sourceType) {
        this.sourceType = sourceType;
    }

    public String getSourceName() {
        return sourceName;
    }

    public void setSourceName(String sourceName) {
        this.sourceName = sourceName == null ? null : sourceName.trim();
    }

    public String getRegionIdx() {
        return regionIdx;
    }

    public void setRegionIdx(String regionIdx) {
        this.regionIdx = regionIdx == null ? null : regionIdx.trim();
    }

    public Integer getEventCode() {
        return eventCode;
    }

    public void setEventCode(Integer eventCode) {
        this.eventCode = eventCode;
    }

    public Integer getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(Integer deviceId) {
        this.deviceId = deviceId;
    }

    public Integer getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(Integer deviceType) {
        this.deviceType = deviceType;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName == null ? null : deviceName.trim();
    }

    public String getEventCard() {
        return eventCard;
    }

    public void setEventCard(String eventCard) {
        this.eventCard = eventCard == null ? null : eventCard.trim();
    }

    public Integer getPersonId() {
        return personId;
    }

    public void setPersonId(Integer personId) {
        this.personId = personId;
    }

    public String getPersonName() {
        return personName;
    }

    public void setPersonName(String personName) {
        this.personName = personName == null ? null : personName.trim();
    }

    public Integer getDeptId() {
        return deptId;
    }

    public void setDeptId(Integer deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName == null ? null : deptName.trim();
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode == null ? null : deptCode.trim();
    }

    public Integer getInOut() {
        return inOut;
    }

    public void setInOut(Integer inOut) {
        this.inOut = inOut;
    }

    public Integer getCardStatus() {
        return cardStatus;
    }

    public void setCardStatus(Integer cardStatus) {
        this.cardStatus = cardStatus;
    }

    public String getPicUrl() {
        return picUrl;
    }

    public void setPicUrl(String picUrl) {
        this.picUrl = picUrl == null ? null : picUrl.trim();
    }

    public String getExtTxt() {
        return extTxt;
    }

    public void setExtTxt(String extTxt) {
        this.extTxt = extTxt == null ? null : extTxt.trim();
    }
}